#
# spec file for package python-pytest-remotedata
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pytest-remotedata
Version:        0.4.1
Release:        1.5
Summary:        Pytest plugin for controlling remote data access
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/astropy/pytest-remotedata
Source:         https://files.pythonhosted.org/packages/source/p/pytest-remotedata/pytest-remotedata-%{version}.tar.gz
BuildRequires:  %{python_module packaging}
BuildRequires:  %{python_module pytest >= 4.6}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-packaging
Requires:       python-pytest >= 4.6
BuildArch:      noarch
%python_subpackages

%description
This package provides a plugin for the pytest framework that allows
developers to control unit tests that require access to data from the internet.

%prep
%setup -q -n pytest-remotedata-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# test_internet_access (test_default_behavior, test_strict_with_decorator) - needs network
%pytest -k 'not (test_default_behavior or test_strict_with_decorator)'

%files %{python_files}
%doc CHANGES.rst README.rst
%license LICENSE.rst
%{python_sitelib}/*

%changelog
* Mon Oct  2 2023 Dirk Müller <dmueller@suse.com>
- update to 0.4.1:
  * Reverting the short option of ``-R`` due to a clash with
    ``pytest-leaks``.
* Thu May  4 2023 Dirk Müller <dmueller@suse.com>
- update to 0.4.0:
  * ``-R`` is added as a short version for the command-line
    option ``--remote-data``. [#62]
  * Version of Python <3.7 are no longer supported. [#65]
* Thu Aug 11 2022 Ben Greiner <code@bnavigator.de>
- Update to 0.3.3
  * Various infrastructure and packaging updates.
- Includes a fix for warnings with distutils hijacked by
  setuptools 60+
* Mon Jul 22 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.3.2:
  * Fixed compatibility with pytest 4.2 and later. [#38, #40]
- Remove pytest42.patch merged upstream
* Fri Feb 15 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.3.1:
  * Fix warnings that occur with pytest-3.7 and later. [#34]
- Enable tests
- Add patch from upstream to build with pytest-4.2+:
  * pytest42.patch
* Tue Aug 14 2018 toddrme2178@gmail.com
- Initial version
